Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007944 [DCSS] Patches minor have not tried 2013-12-31 19:07 2014-01-28 00:42
Reporter wheals View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007944: Remove caps.
Description There doesn't seem to be much reason to have both caps and wizard hats in the game. This patch removes caps and rename hats. It compiled and seemed to work (with an old save) on console.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Remove-caps-rename-wizards-hats-hats.patch [^] (33,977 bytes) 2013-12-31 19:07 [Show Content]
? file icon 0002-Actually-stop-caps-from-generating.patch [^] (10,215 bytes) 2014-01-01 18:22 [Show Content]
? file icon 0003-Set-another-cap-reference-to-be-removed-on-save-bump.patch [^] (740 bytes) 2014-01-02 00:33 [Show Content]
? file icon 0004-Reweight-hat-brands.patch [^] (2,853 bytes) 2014-01-08 02:06 [Show Content]

- Relationships

-  Notes
(0024900)
wheals (administrator)
2014-01-01 18:10
edited on: 2014-01-02 00:33

Oops, forgot to check whether any vaults place caps. I'll upload a patch fixing any of those ASAP.

EDIT: also missed another reference to caps.

(0024976)
MarvinPA (developer)
2014-01-12 14:23

Pushed, thanks for the patch.

- Issue History
Date Modified Username Field Change
2013-12-31 19:07 wheals New Issue
2013-12-31 19:07 wheals File Added: 0001-Remove-caps-rename-wizards-hats-hats.patch
2014-01-01 18:10 wheals Note Added: 0024900
2014-01-01 18:22 wheals File Added: 0002-Actually-stop-caps-from-generating.patch
2014-01-02 00:33 wheals File Added: 0003-Set-another-cap-reference-to-be-removed-on-save-bump.patch
2014-01-02 00:33 wheals Note Edited: 0024900
2014-01-03 13:03 MarvinPA Issue Monitored: MarvinPA
2014-01-08 02:06 wheals File Added: 0004-Reweight-hat-brands.patch
2014-01-12 14:23 MarvinPA Note Added: 0024976
2014-01-12 14:23 MarvinPA Status new => resolved
2014-01-12 14:23 MarvinPA Fixed in Branch => 0.14 development branch
2014-01-12 14:23 MarvinPA Resolution open => done
2014-01-12 14:23 MarvinPA Assigned To => MarvinPA
2014-01-12 14:24 MarvinPA Issue End Monitor: MarvinPA
2014-01-28 00:42 wheals Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker